## org.eclipse.datatools.connectivity.ui.templates
Class PropertyListLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.datatools.connectivity.ui.templates.PropertyListLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class PropertyListLabelProvider

extends org.eclipse.jface.viewers.LabelProvider

Label provider for selected driver properties

Author:
  brianf

Constructor Summary
`PropertyListLabelProvider()`

Method Summary
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### PropertyListLabelProvider

    public PropertyListLabelProvider()

Method Detail

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`